summaryrefslogtreecommitdiffstats
path: root/network/tinyirc/tinyirc.SlackBuild
diff options
context:
space:
mode:
author B. Watson2020-11-20 21:08:10 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:22 +0100
commitd1246370e2f9cb50311c21c482126044e82962f3 (patch)
treef5748dfbec18014fc1e797e66a92177e93fb19cb /network/tinyirc/tinyirc.SlackBuild
parent7eadebf7b4a7abba39714523644ce7886b73d5c0 (diff)
downloadslackbuilds-d1246370e2f9cb50311c21c482126044e82962f3.tar.gz
network/tinyirc: Added (tiny IRC client)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/tinyirc/tinyirc.SlackBuild')
-rw-r--r--network/tinyirc/tinyirc.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/network/tinyirc/tinyirc.SlackBuild b/network/tinyirc/tinyirc.SlackBuild
new file mode 100644
index 0000000000..1abc53e2cf
--- /dev/null
+++ b/network/tinyirc/tinyirc.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for tinyirc
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=tinyirc
+VERSION=${VERSION:-1.1_4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=${VERSION%_*}.dfsg.1
+DEBVER=${VERSION#*_}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/${PRGNAM}_$SRCVER.orig.tar.gz
+cd $PRGNAM-$SRCVER
+tar xvf $CWD/${PRGNAM}_$SRCVER-$DEBVER.debian.tar.xz
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+for i in $( cat debian/patches/series ); do
+ patch -p1 < debian/patches/$i
+done
+
+# Change the default server and port to something people actually use.
+make $PRGNAM \
+ SERVER="chat.freenode.net" \
+ PORT=6667 \
+ CFLAGS="$SLKCFLAGS -DPOSIX -DDO_CTCP -DCURSES -DHAVE_NCURSES" \
+ LIBS=-lncurses \
+ CC=${CC:-gcc}
+
+mkdir -p $PKG/usr/bin
+install -m0755 -s $PRGNAM $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+pod2man -cSlackBuilds.org -s1 -r1.1 -nTINYIRC debian/$PRGNAM.1.pod | \
+ gzip -9c > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# These are text files, not word docs, don't confuse desktop software.
+rename .doc _doc.txt *.doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING announce *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}